Page MenuHomePhabricator

Change Cloud Services irc channels for rebranding
Closed, ResolvedPublic

Description

Register new IRC channels and then redirect from old channels to the new channels.

Bots to move/update:

  • stashbot
  • wikibugs
  • wm-bot
  • shinken-wm

Details

Related Gerrit Patches:
labs/striker : masterChange #wikimedia-labs to #wikimedia-cloud
labs/tools/wikibugs2 : masterRemove obsolete #wikimedia-labs channel
labs/tools/wikibugs2 : masterAdd bot to #wikimedia-cloud
operations/puppet : productionlabs: Direct people to #wikimedia-cloud for support
operations/puppet : productionshinken, icinga: direct bots to #wikimedia-cloud
labs/tools/stashbot : masterAdd #wikimedia-cloud handling

Event Timeline

bd808 created this task.
bd808 moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
/join #wikimedia-cloud
/msg chanserv register #wikimedia-cloud
/msg chanserv set #wikimedia-cloud guard on
/mode #wikimedia-cloud +b $j:#wikimedia-bans
/msg chanserv flags #wikimedia-cloud wmfgc +Afiotvr
/msg chanserv flags #wikimedia-cloud *!*@freenode/staff/* +Aiotvr
/msg chanserv set #wikimedia-cloud entrymsg This channel is subject to https://www.mediawiki.org/wiki/Code_of_Conduct

/msg chanserv template #wikimedia-cloud op VOP
/msg chanserv template #wikimedia-cloud op !+Aiotv
/msg chanserv template #wikimedia-cloud accessmod +voterifA
/msg chanserv template #wikimedia-cloud superop +Aefiorstv
/msg chanserv template #wikimedia-cloud autovoice +V

/msg chanserv flags #wikimedia-cloud rush__ FOUNDER
/msg chanserv flags #wikimedia-cloud andrewbogott FOUNDER
/msg chanserv flags #wikimedia-cloud madhuvishy FOUNDER
/msg chanserv flags #wikimedia-cloud YuviPanda op
/msg chanserv flags #wikimedia-cloud valhallasw op
/msg chanserv flags #wikimedia-cloud petan op

/msg chanserv flags #wikimedia-cloud wm-bot +AVo
/msg chanserv flags #wikimedia-cloud stashbot autovoice
/join #wikimedia-cloud-admin
/msg chanserv register #wikimedia-cloud-admin
/msg chanserv set #wikimedia-cloud-admin guard on
/mode #wikimedia-cloud-admin +b $j:#wikimedia-bans
/msg chanserv flags #wikimedia-cloud-admin wmfgc +Afiotvr
/msg chanserv flags #wikimedia-cloud-admin *!*@freenode/staff/* +Aiotvr
/msg chanserv set #wikimedia-cloud-admin entrymsg This channel is subject to https://www.mediawiki.org/wiki/Code_of_Conduct

/msg chanserv template #wikimedia-cloud-admin op !+Aiotv
/msg chanserv template #wikimedia-cloud-admin autovoice +V

/msg chanserv flags #wikimedia-cloud-admin rush__ FOUNDER
/msg chanserv flags #wikimedia-cloud-admin andrewbogott FOUNDER
/msg chanserv flags #wikimedia-cloud-admin madhuvishy FOUNDER
/msg chanserv flags #wikimedia-cloud-admin valhallasw op
/msg chanserv flags #wikimedia-cloud-admin YuviPanda op

/msg chanserv flags #wikimedia-cloud-admin stashbot autovoice
Restricted Application added a project: User-bd808. · View Herald TranscriptMay 26 2017, 11:58 PM

Change 356662 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/tools/stashbot@master] Add #wikimedia-cloud handling

https://gerrit.wikimedia.org/r/356662

Change 356662 merged by jenkins-bot:
[labs/tools/stashbot@master] Add #wikimedia-cloud handling

https://gerrit.wikimedia.org/r/356662

Mentioned in SAL (#wikimedia-cloud) [2017-06-01T19:52:53Z] <bd808> Restarted bot to attach to #wikimedia-cloud (T166420)

Paladox added a subscriber: Paladox.Jun 1 2017, 7:54 PM

Wikibugs needs a config change then too.

bd808 updated the task description. (Show Details)Jun 1 2017, 8:38 PM

Change 356670 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/tools/wikibugs2@master] Add bot to #wikimedia-cloud

https://gerrit.wikimedia.org/r/356670

bd808 renamed this task from Change irc channels to Change Cloud Services irc channels for rebranding.Jun 1 2017, 8:49 PM

Change 356702 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] shinken, icinga: direct bots to #wikimedia-cloud

https://gerrit.wikimedia.org/r/356702

Change 356703 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] labs: Direct people to #wikimedia-cloud for support

https://gerrit.wikimedia.org/r/356703

Change 356702 merged by Rush:
[operations/puppet@production] shinken, icinga: direct bots to #wikimedia-cloud

https://gerrit.wikimedia.org/r/356702

Change 356703 merged by Rush:
[operations/puppet@production] labs: Direct people to #wikimedia-cloud for support

https://gerrit.wikimedia.org/r/356703

Matthewrbowker added a subscriber: Matthewrbowker.

What needs transferred on wm-bot?

Mentioned in SAL (#wikimedia-cloud) [2017-06-01T21:28:20Z] <bd808> Forced a puppet run to pick up changes for T166420

bd808 updated the task description. (Show Details)Jun 1 2017, 9:29 PM
bd808 updated the task description. (Show Details)Jun 1 2017, 10:20 PM

What needs transferred on wm-bot?

I just needed to go through the old db and see if there was anything important. Turns out that it was mostly outdated stuff and random jokes.

What needs transferred on wm-bot?

I just needed to go through the old db and see if there was anything important. Turns out that it was mostly outdated stuff and random jokes.

Okay, that's fair. Let me know if there's anything else you need with regard to wm-bot.

Change 356670 merged by jenkins-bot:
[labs/tools/wikibugs2@master] Add bot to #wikimedia-cloud

https://gerrit.wikimedia.org/r/356670

valhallasw updated the task description. (Show Details)Jun 3 2017, 2:25 PM

Change 357222 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/tools/wikibugs2@master] Remove obsolete Cloud-Services channel

https://gerrit.wikimedia.org/r/357222

I used a hacked up version of mwgrep to search wikitech for references to #wikimedia-labs and change them to #wikimedia-cloud. See my contributions and search for "wikimedia-labs renamed to wikimedia-cloud".

Few changes on metawiki too

Change 357222 merged by jenkins-bot:
[labs/tools/wikibugs2@master] Remove obsolete Cloud-Services channel

https://gerrit.wikimedia.org/r/357222

bd808 closed this task as Resolved.Jun 7 2017, 12:47 AM

We will probably find some additional links to the old channels on other wikis over time, but the main work here is complete.

Change 359042 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Change Cloud-Services to #wikimedia-cloud

https://gerrit.wikimedia.org/r/359042

Change 359042 merged by jenkins-bot:
[labs/striker@master] Change Cloud-Services to #wikimedia-cloud

https://gerrit.wikimedia.org/r/359042